Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicDirectoryModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--javax.swing.plaf.basic.BasicDirectoryModel

public class BasicDirectoryModel
extends AbstractListModel
implements java.beans.PropertyChangeListener

Basic implementation of a file list.

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`BasicDirectoryModel(JFileChooser filechooser)`

Method Summary
`boolean` | `contains(java.lang.Object o)`
`void` | `fireContentsChanged()`
`java.util.Vector` | `getDirectories()`
`java.lang.Object` | `getElementAt(int index)`
`java.util.Vector` | `getFiles()`
`int` | `getSize()`
`int` | `indexOf(java.lang.Object o)`
`void` | `intervalAdded(ListDataEvent e)`
`void` | `intervalRemoved(ListDataEvent e)`
`void` | `invalidateFileCache()`
`protected boolean` | `lt(java.io.File a, java.io.File b)`
`void` | `propertyChange(java.beans.PropertyChangeEvent e)`
`protected void` | `sort(java.util.Vector v)`
`void` | `validateFileCache()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicDirectoryModel

    public BasicDirectoryModel(JFileChooser filechooser)

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Specified by:
    propertyChange in interface java.beans.PropertyChangeListener

### invalidateFileCache

    public void invalidateFileCache()

### getDirectories

    public java.util.Vector getDirectories()

### getFiles

    public java.util.Vector getFiles()

### validateFileCache

    public void validateFileCache()

### fireContentsChanged

    public void fireContentsChanged()

### getSize

    public int getSize()

### contains

    public boolean contains(java.lang.Object o)

### indexOf

    public int indexOf(java.lang.Object o)

### getElementAt

    public java.lang.Object getElementAt(int index)

### intervalAdded

    public void intervalAdded(ListDataEvent e)

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

### sort

    protected void sort(java.util.Vector v)

### lt

    protected boolean lt(java.io.File a,
                         java.io.File b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.